Debian Bug report logs - #687943
gnarwl: modifies conffiles (policy 10.7.3): /etc/gnarwl.cfg

version graph

Package: gnarwl; Maintainer for gnarwl is Francesco Zanolin <francesco.zanolin@ingv.it>; Source for gnarwl is src:gnarwl.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Mon, 17 Sep 2012 11:48:01 UTC

Severity: serious

Tags: patch, squeeze-ignore

Found in versions gnarwl/3.6.dfsg-6, gnarwl/3.6.dfsg-6.1

Fixed in version gnarwl/3.6.dfsg-6.2

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Zanolin <francesco.zanolin@ingv.it>:
Bug#687943; Package gnarwl. (Mon, 17 Sep 2012 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Francesco Zanolin <francesco.zanolin@ingv.it>. (Mon, 17 Sep 2012 11:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnarwl: modifies conffiles (policy 10.7.3): /etc/gnarwl.cfg
Date: Mon, 17 Sep 2012 13:46:14 +0200
[Message part 1 (text/plain, inline)]
Package: gnarwl
Version: 3.6.dfsg-6.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts
Control: found -1 gnarwl/3.6.dfsg-6.1

Hi,

during a test with piuparts I noticed your package modifies conffiles.
This is forbidden by the policy, see
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files
  "[...] The easy way to achieve this behavior is to make the
   configuration file a conffile. [...] This implies that the default
   version will be part of the package distribution, and must not be
   modified by the maintainer scripts during installation (or at any
   other time)."

debsums reports modification of the following files:

  /etc/gnarwl.cfg


cheers,

Andreas
[gnarwl_3.6.dfsg-6.1.log.gz (application/x-gzip, attachment)]

Marked as found in versions gnarwl/3.6.dfsg-6.1. Request was from Andreas Beckmann <debian@abeckmann.de> to submit@bugs.debian.org. (Mon, 17 Sep 2012 11:48:05 GMT) Full text and rfc822 format available.

Marked as found in versions gnarwl/3.6.dfsg-6.1; no longer marked as found in versions gnarwl/3.6.dfsg-6.1. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Wed, 19 Sep 2012 20:03:05 GMT) Full text and rfc822 format available.

Marked as found in versions gnarwl/3.6.dfsg-6. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 20 Sep 2012 09:51:05 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 20 Sep 2012 09:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Zanolin <francesco.zanolin@ingv.it>:
Bug#687943; Package gnarwl. (Thu, 20 Sep 2012 10:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Francesco Zanolin <francesco.zanolin@ingv.it>. (Thu, 20 Sep 2012 10:21:07 GMT) Full text and rfc822 format available.

Message #18 received at 687943@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <687943@bugs.debian.org>
Subject: Re: gnarwl: modifies conffiles (policy 10.7.3): /etc/gnarwl.cfg
Date: Thu, 20 Sep 2012 11:45:49 +0200
Package: gnarwl
Followup-For: Bug #687943

[Resending with the new bug template that contains more information.]

Hi,

during a test with piuparts I noticed your package modifies conffiles.
This is forbidden by the policy, see
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

10.7.3: "[...] The easy way to achieve this behavior is to make the
configuration file a conffile. [...] This implies that the default
version will be part of the package distribution, and must not be
modified by the maintainer scripts during installation (or at any
other time)."

Note that once a package ships a modified version of that conffile,
dpkg will prompt the user for an action how to handle the upgrade of
this modified conffile (that was not modified by the user).

Further in 10.7.3: "[...] must not ask unnecessary questions
(particularly during upgrades) [...]"

If a configuration file is customized by a maintainer script after
having asked some debconf questions, it may not be marked as a
conffile. Instead a template could be installed in /usr/share and used
by the postinst script to fill in the custom values and create (or
update) the configuration file (preserving any user modifications!).
This file must be removed during postrm purge.
ucf(1) may help with these tasks.
See also http://wiki.debian.org/DpkgConffileHandling

In https://lists.debian.org/debian-devel/2012/09/msg00412.html and
followups it has been agreed that these bugs are to be filed with
severity serious.

debsums reports modification of the following files,
from the attached log (scroll to the bottom...):

  /etc/gnarwl.cfg


cheers,

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Zanolin <francesco.zanolin@ingv.it>:
Bug#687943; Package gnarwl. (Sun, 04 Nov 2012 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Federico Ceratto <federico.ceratto@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Zanolin <francesco.zanolin@ingv.it>. (Sun, 04 Nov 2012 15:00:03 GMT) Full text and rfc822 format available.

Message #23 received at 687943@bugs.debian.org (full text, mbox):

From: Federico Ceratto <federico.ceratto@gmail.com>
To: 687943@bugs.debian.org
Subject: gnarwl: modifies conffiles (policy 10.7.3): /etc/gnarwl.cfg
Date: Sun, 4 Nov 2012 14:53:38 +0000
[Message part 1 (text/plain, inline)]
Tags: patch

Hello,

I've prepared a patch to switch the configuration process from ed to ucf to
make the package policy-compliant.
The patch is attached. The package is not Lintian-clean, but I'm addressing
the RC bug only.

Bye,
-- 
Federico
[Message part 2 (text/html, inline)]
[687943.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Zanolin <francesco.zanolin@ingv.it>:
Bug#687943; Package gnarwl. (Thu, 08 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Zanolin <francesco.zanolin@ingv.it>. (Thu, 08 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #28 received at 687943@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 687943@bugs.debian.org, 687943-submitter@bugs.debian.org, 692477@bugs.debian.org
Cc: Federico Ceratto <federico.ceratto@gmail.com>
Subject: Re: Bug#687943: gnarwl: modifies conffiles (policy 10.7.3): /etc/gnarwl.cfg
Date: Thu, 08 Nov 2012 22:08:20 +0100
[Message part 1 (text/plain, inline)]
Control: tags 687943 + patch pending
Control: tags 692477 + pending

Dear Maintainer,

I have uploaded to DELAYED/2 an NMU of gnarwl versioned 3.6.dfsg-6.2,
based on the patches by Federico and Victory. The debdiff is attached.
Please let me know if I should delay the upload longer.

Regards,
[gnarwl_3.6.dfsg-6.2.patch (text/x-diff, attachment)]
[Message part 3 (text/plain, inline)]
-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594
[Message part 4 (application/pgp-signature, inline)]

Added tag(s) pending and patch. Request was from Sébastien Villemot <sebastien@debian.org> to 687943-submit@bugs.debian.org. (Thu, 08 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#687943. (Thu, 08 Nov 2012 21:12:08 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Sat, 10 Nov 2012 21:21:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 10 Nov 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #38 received at 687943-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 687943-close@bugs.debian.org
Subject: Bug#687943: fixed in gnarwl 3.6.dfsg-6.2
Date: Sat, 10 Nov 2012 21:17:34 +0000
Source: gnarwl
Source-Version: 3.6.dfsg-6.2

We believe that the bug you reported is fixed in the latest version of
gnarwl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated gnarwl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Nov 2012 20:40:37 +0100
Source: gnarwl
Binary: gnarwl
Architecture: source amd64
Version: 3.6.dfsg-6.2
Distribution: unstable
Urgency: low
Maintainer: Francesco Zanolin <francesco.zanolin@ingv.it>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 gnarwl     - Email autoresponder based on LDAP
Closes: 687943 692477
Changes: 
 gnarwl (3.6.dfsg-6.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * No longer ship /etc/gnarwl.cfg as a conffile; manage it using ucf to
     preserve user changes. Thanks to Federico Ceratto for writing a first
     version of the patch. (Closes: #687943)
   * Add new Japanese debconf translation by Victory (Closes: #692477)
Checksums-Sha1: 
 be543f3306749ff46030d6a18b72395246514828 1820 gnarwl_3.6.dfsg-6.2.dsc
 04026d13abb73bc1c18aac8b0a8d8d2650748a2c 14550 gnarwl_3.6.dfsg-6.2.debian.tar.gz
 452d69a45d08af3b24b73ffa471727aee8536224 47018 gnarwl_3.6.dfsg-6.2_amd64.deb
Checksums-Sha256: 
 a3d94e9b23576cc54cde004ee5aece6a66a4d01b5c57db456d65eafd8a1d4c27 1820 gnarwl_3.6.dfsg-6.2.dsc
 ca25ed0b81a61fb24e6839df1b7ae266b1b52786386539238a58a826cbd8175b 14550 gnarwl_3.6.dfsg-6.2.debian.tar.gz
 fc83bb7dccbc74c21e1e8bc83e6395040a3a6a6facbcbb07da4f81c73ff668d0 47018 gnarwl_3.6.dfsg-6.2_amd64.deb
Files: 
 cb43652be4515b779307447ffad35813 1820 mail optional gnarwl_3.6.dfsg-6.2.dsc
 bce37b98b539feb06a0fe487473e5d42 14550 mail optional gnarwl_3.6.dfsg-6.2.debian.tar.gz
 e51ef8568ce7b5a28a5d0170d266d758 47018 mail optional gnarwl_3.6.dfsg-6.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQnB4IAAoJECzs6TUOzr5Kf0gQAIqyPb/nITgTrTPqeufjAuHF
/DRsCjRPmZNTqlDkZgNK5h4snPbArYVmvCIBQ3bI5gBH+MwQQgOtMIyVN74J15co
2iQixkzPF5rzKRNcBr26iGBiRayJit8A0dmB0fvGHGrnl0kLGSxe28bga07ghzma
gwMR1hZuqV73daxfCLCHSXWErvlJbqfBpIag1kd7OyNR5PFOLQn/oPAbK3xPrMdk
EpRgjfi2B2zujx3kn8UJaBuYjtjZVzKT8Xafml+ja02qZXaDzxmd8LIOEuaxdLav
VErtaoE9OVM7Cxo8FTvwbdr8IN2D9RjCIp9gwDt6VKtWvrSJl8Q/xFeakQQkKyRX
dQ0sZFNeX5s75WQcNhbTX7P6tjQNfPe3TBFfL3TUMiKqOuk7TtYNQHq+QFSX44Qh
TFff6PqCYE45ni4qxS5fiInI4dJZhMkZoYaKZoGrRmWWlhyUdJt/F9fD4ly9lpwC
iGlh9HtvNAwCGmoXPJfjiF5vo3/6LxWgmz6t44R2hV3Z0VggpxezfC1dAtmogsXI
b6iNy1fHs9/NqJc36Ro7gDqPlqagu3Abc7zo2zJneAIHcIx6vyXfRPuxs3nFmzFC
qsjAtd3SlN5aJAI6A8xAhB3+tn8+76HWVuqTQNlSRP3NcAM7qvjzbkxC5zZxdXfo
kKN/0BK4H6oa//P11trI
=x60o
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:29:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:54:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:50:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.